# -*- rpm-spec -*-

%define with_introspection 0

%if 0%{?fedora} >= 18
%define with_introspection 1
%endif
%if 0%{?rhel} >= 7
%define with_introspection 1
%endif
%define with_vala %{with_introspection}

Name: libvirt-designer
Version: 0.0.2
Release: 3%{?dist}%{?extra_release}
Summary: Libvirt configuration designer
Group: Development/Tools
License: LGPLv2+
URL: http://libvirt.org/
Source0: http://libvirt.org/sources/designer/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libvirt-gconfig-devel >= 0.1.7
BuildRequires: libvirt-gobject-devel >= 0.1.3
%if %{with_introspection}
BuildRequires: gobject-introspection-devel
%endif
BuildRequires: libosinfo-devel >= 0.2.7
%if %{with_vala}
BuildRequires: vala-tools
BuildRequires: libosinfo-vala >= 0.2.7
%endif
BuildRequires: /usr/bin/pod2man

%package libs
Group: Development/Libraries
Summary: Libvirt configuration designer libraries

%package devel
Group: Development/Libraries
Summary: Libvirt configuration designer development headers
Requires: %{name}-libs = %{version}-%{release}
Requires: libvirt-gconfig-devel >= 0.1.7

%package devel-doc
Group: Development/Libraries
Summary: Libvirt configuration designer development documentation
Requires: %{name}-devel = %{version}-%{release}

%if %{with_vala}
%package vala
Group: Development/Libraries
Summary: Libvirt designer vala language bindings
Requires: %{name}-libs = %{version}-%{release}
Requires: libosinfo-vala >= 0.2.7
%endif

%description
This package provides the libvirt configuration designer command
line tools.

%description libs
This package provides the libvirt configuration designer run-time
libraries.

%description devel
This package provides the libvirt configuration designer development
headers

%description devel-doc
This package provides the libvirt configuration designer development
documentation like API and exported symbols description.

%if %{with_vala}
%description vala
This package provides the libvirt configuration designer vala
language binding
%endif

%prep
%setup -q

%build

%if %{with_introspection}
%define introspection_arg --enable-introspection
%else
%define introspection_arg --disable-introspection
%endif

%configure %{introspection_arg}
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%__make install  DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-designer-1.0.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-designer-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/virt-designer
%{_mandir}/man1/virt-designer.1*

%files libs
%defattr(-,root,root,-)
%doc README COPYING AUTHORS ChangeLog NEWS
%{_libdir}/libvirt-designer-1.0.so.*
%if %{with_introspection}
%{_libdir}/girepository-1.0/LibvirtDesigner-1.0.typelib
%endif

%if %{with_vala}
%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/libvirt-designer-1.0.deps
%{_datadir}/vala/vapi/libvirt-designer-1.0.vapi
%endif

%files devel
%defattr(-,root,root,-)
%{_libdir}/libvirt-designer-1.0.so
%{_libdir}/pkgconfig/libvirt-designer-1.0.pc
%dir %{_includedir}/libvirt-designer-1.0
%dir %{_includedir}/libvirt-designer-1.0/libvirt-designer
%{_includedir}/libvirt-designer-1.0/libvirt-designer/libvirt-designer.h
%{_includedir}/libvirt-designer-1.0/libvirt-designer/libvirt-designer-*.h
%if %{with_introspection}
%{_datadir}/gir-1.0/LibvirtDesigner-1.0.gir
%endif

%files devel-doc
%{_datadir}/gtk-doc/html/libvirt-designer

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar  6 2015 Danie P. Berrange <berrange@rdhat.com> - 0.0.2-1
- Update to 0.0.2 release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.0.1-9
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 18 2013 Michal Privoznik <mprivozn@redhat.com> 0.0.1-6
- add recent patches to reflect libosinfo changes in set of deprecated functions

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 19 2012 Michal Privoznik <mprivozn@redhat.com> 0.0.1-4
- rebuild to prevent trashcan

* Fri Oct 12 2012 Michal Privoznik <mprivozn@redhat.com> 0.0.1-3
- introduce -devel-doc package
- drop F15 and RHEL referrence at the head

* Fri Oct 12 2012 Michal Privoznik <mprivozn@redhat.com> 0.0.1-2
- changed commiter name of the -1 release

* Tue Oct 09 2012 Michal Privoznik <mprivozn@redhat.com> 0.0.1-1
- Initial packaging of libvirt-designer
